Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 151577 - emerge media-libs/smpeg-0.4.4-r8 fails in aclocal
Summary: emerge media-libs/smpeg-0.4.4-r8 fails in aclocal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Diego Elio Pettenò (RETIRED)
URL:
Whiteboard:
Keywords:
: 151645 151772 151833 151975 152941 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-10-16 04:31 UTC by Peter `MathFox' Roozemaal
Modified: 2006-10-27 03:21 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter `MathFox' Roozemaal 2006-10-16 04:31:18 UTC
>>> Emerging (3 of 3) media-libs/smpeg-0.4.4-r8 to /
[...]
 * Requested autoconf 2.5
 * Using autoconf (GNU Autoconf) 2.59
 * Using autoheader (GNU Autoconf) 2.59
 * Requested automake latest
 * Using automake (GNU automake) 1.4-p6
 * Using aclocal (GNU automake) 1.4-p6
 * Running aclocal -I /var/tmp/portage/smpeg-0.4.4-r8/work/smpeg-0.4.4/m  [ !! ]
 * Failed Running aclocal !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/smpeg-0.4.4-r8/temp/aclocal-22215.out
!!! ERROR: media-libs/smpeg-0.4.4-r8 failed.

Call stack:
  ebuild.sh, line 1546:   Called dyn_unpack
  ebuild.sh, line 708:   Called src_unpack
  smpeg-0.4.4-r8.ebuild, line 48:   Called eautoreconf
  autotools.eclass, line 79:   Called eaclocal
  autotools.eclass, line 117:   Called autotools_run_tool 'aclocal' '-I' '/var/tmp/portage/smpeg-0.4.4-r8/work/smpeg-0.4.4/m4'
  autotools.eclass, line 235:   Called die

!!! Failed Running aclocal !

# cat /var/tmp/portage/smpeg-0.4.4-r8/temp/aclocal-22215.out
***** aclocal *****

aclocal: configure.in: 56: macro `AM_PROG_AS' not found in library

# emerge --info
Portage 2.1.1-r1 (default-linux/amd64/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.17-gentoo-r7 x86_64 AMD Athlon(tm) 64 Processor 3200+
Gentoo Base System version 1.12.5
Last Sync: Mon, 16 Oct 2006 10:20:02 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: [Not Present]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Os -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-Os -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://mirror.scarlet-internet.nl/pub/gentoo http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="amd64 berkdb bitmap-fonts cli crypt cups dlloader dri elibc_glibc fortran gdbm gnome gpm gtk input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kernel_linux libg++ mmap ncurses nls nptl nptlonly pam pcre perl png postgres ppds pppd python readline reflection session spl ssl tcpd tetex tiff truetype-fonts type1-fonts udev unicode userland_GNU video_cards_apm video_cards_ark video_cards_ati video_cards_chips video_cards_cirrus video_cards_cyrix video_cards_dummy video_cards_fbdev video_cards_glint video_cards_i128 video_cards_i810 video_cards_mga video_cards_neomagic video_cards_nv video_cards_rendition video_cards_s3 video_cards_s3virge video_cards_savage video_cards_siliconmotion video_cards_sis video_cards_sisusb video_cards_tdfx video_cards_tga video_cards_trident video_cards_tseng video_cards_v4l video_cards_vesa video_cards_vga video_cards_via video_cards_vmware video_cards_voodoo xorg zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Ryan May 2006-10-16 06:10:36 UTC
Seeing the same exact problem here.

# emerge --info
Portage 2.1.1-r1 (default-linux/amd64/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r8 x86_64)
=================================================================
System uname: 2.6.17-gentoo-r8 x86_64 AMD Turion(tm) 64 X2
Gentoo Base System version 1.12.5
Last Sync: Mon, 16 Oct 2006 11:50:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig candy distlocks metadata-transfer parallel-fetch sandbox sfperms strict userfetch userpriv"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ ftp://ftp.ussg.iu.edu/pub/linux/gentoo http://mirror.espri.arizona.edu/gentoo/ http://gentoo.chem.wisc.edu/gentoo/ http://gentoo.netnitco.net http://gentoo.mirrors.tds.net/gentoo http://open-systems.ufl.edu/mirrors/gentoo http://mirror.datapipe.net/gentoo ftp://gentoo.chem.wisc.edu/gentoo/ http://www.gtlib.gatech.edu/pub/gentoo"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="amd64 3dnowex X aac acpi aiglx aim alsa audiofile berkdb bitmap-fonts browserplugin bzip2 cairo cdr cli codecs crypt cups dbus divx4linux dlloader dri dvd dvdr elibc_glibc emul-linux-x86 encode ffmpeg fftw firefox fortran gd gdbm gif glitz glut gnome gnutls gstreamer gtk gtk2 gtkhtml hal hdf ieee1394 input_devices_keyboard input_devices_mouse input_devices_synaptics ipv6 isdnlog java jpeg kernel_linux lapack lcms libg++ live mad mikmod mng mozilla mozsvg mp3 musicbrainz ncurses netcdf nls no-old-linux nocd nptl nptlonly nsplugin numeric nvidia ogg opengl pam pcre pdf perl png ppds pppd python qt3 readline reflection session spell spl ssl subversion svg szip t1lib tcpd threads tiff tk truetype truetype-fonts type1-fonts udev unicode usb userland_GNU video_cards_nvidia vorbis wmf xcomposite xorg xv xvid xvmc zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 urcindalo 2006-10-16 07:15:54 UTC
Exactly the same for me, also.

----------------
Portage 2.1.1-r1 (default-linux/amd64/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r8 x86_64)
=================================================================
System uname: 2.6.17-gentoo-r8 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.5
Last Sync: Mon, 16 Oct 2006 09:30:08 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks fixpackages metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="es_ES.UTF-8"
LC_ALL="es_ES.UTF-8"
LINGUAS="en es es_ES"
PKGDIR="/home/ramiro/usr/local/portage/pkgdir-backup/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 7zip X Xaw3d a52 aac aalib accessibility acl acpi adns aim alsa amd ao aotuv apache2 apm applet ares arts asf atlas auctex audacious audiofile auth authdaemond authfile authlib automount background bash-completion bcmath bdf beagle berkdb bidi bindist binfilter bitmap-fonts bl bmpx bonjour bonobo bootsplash branding bzip2 cairo caps catalogs cdda cddb cdinstall cdio cdparanoia cdr cdrom chm chroot clamav clamd cli corba cpudetection crypt css ctype cups curl curlwrappers dba dbase dbm dbus dbx dga dio directfb disk-cache diskio dlloader dpms dri dts dv dvd dvdr dvdread dxr3 dynagraph edl effects elibc_glibc emboss emul-linux-x86 encode epson erandom escreen esd ethereal evo exif expat extensions fam fame fastcgi fat fbcon ffmpeg fftw firefox flac flash flatfile floppyboot font-server fontconfig foomaticdb fortran fpx ftp fuse gd gdbm geoip gif gimp ginac glibc-omitfp glitz glut gmail gmailtimestamps gmp gnome gnome-print gnustep gnutls gphoto2 gpm gs gsnd gstreamer gtk gtk2 gtkhtml guile gzip hal hddtemp hfs hpn httpd hyperwave-api i8x0 iconv icq id3 idea idled idn ieee1394 imagemagick imap imlib imlib2 immqt-bc inifile inkjar innodb input_devices_keyboard input_devices_mouse intl iodbc ipv6 isdnlog jabber jack java javacomm javascript jbig jce jfs jikes jit jpeg jpeg2k justify kde kernel_linux kipi ladcca ladspa lame lash lcms ldap lesstif libcaca libclamav libg++ libgda libwww lids linguas_en linguas_es linguas_es_ES live lm_sensors logitech-mouse logrotate lua lzo m17n-lib mad maildir mailwrapper math matroska mbox mcve md5sum mdb memlimit mikmod milter mime mjpeg mmap mng mod mono mounts-check mouse mozilla mozsvg mozxmlterm mp3 mp4 mp4live mpeg mpeg2 mpi mplayer mpm-prefork msession msn multiuser musepack musicbrainz mysql mysqli nas ncurses neXt net netboot netcdf network new-login nfs nis nls nptl nptlonly nsplugin ntfs ntlm nvidia oav oci8 octave ofx ogg ole on-the-fly-crypt openal openbabel openexr opengl openssh openssl opera oracle oracle7 osc oscar oss pam pango parse-clocks pcntl pcre pdf perl player plotutils pmu png portaudio posix postfix postgres povray ppds pppd prelude profile pymol python qdbm qt3 qt4 quicktime rar rdesktop readline recode reiser4 reiserfs rtc rtsp ruby samba sametime sasl savedconfig sblive scanner screen sdk sdl seamonkey session sharedext shout simplexml skey skins slang slp sndfile snmp soap sockets socks5 source sox speex spell spl ssl stream svg sysfs sysvipc szip tcl tcltk tcpd tetex theora tidy tiff tk tokenizer truetype truetype-fonts type1-fonts ucs2 udev unicode usb userland_GNU userlocales v4l vcd vhosts video_cards_fbdev video_cards_nv video_cards_nvidia video_cards_vesa vlm vorbis wddx wmf wxwindows xface xine xml xml2 xmlrpc xmms xorg xpm xprint xscreensaver xsl xv xvid yahoo zeo zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Branislav Jovanović 2006-10-16 08:14:34 UTC
Yet anothet "me to" post:

emerge --info
Portage 2.1.1-r1 (default-linux/amd64/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.17-gentoo-r7 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.5
Last Sync: Mon, 16 Oct 2006 14:20:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.etf.bg.ac.yu/gentoo ftp://mirror.etf.bg.ac.yu/gentoo ftp://gentoo.itdnet.net/gentoo/ http://gentoo.ITDNet.net/gentoo http://gentoo.math.bme.hu http://gentoo.mirror.icd.hu/"
LINGUAS="sr sr@Latn"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/portage-xgl"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="amd64 X alsa berkdb bitmap-fonts cairo cli crypt cups dlloader dri dvd dvdr elibc_glibc encode exif fam firefox flac gdbm gnome gtk2 input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kernel_linux libg++ linguas_sr linguas_sr@Latn mad mikmod ncurses nls nptl nptlonly nvidia ogg pam pcre perl png ppds pppd python readline reflection session spl ssl tcpd truetype-fonts type1-fonts udev unicode userland_GNU video_cards_nv video_cards_nvidia video_cards_vesa vorbis xorg zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Jens Mueller 2006-10-16 09:20:06 UTC
 * Failed Running aclocal !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/media-libs/smpeg-0.4.4-r8/temp/aclocal-22080.out


so I'll do that ...

 # cat /var/tmp/portage/media-libs/smpeg-0.4.4-r8/temp/aclocal-22080.out
***** aclocal *****

aclocal: configure.in: 56: macro `AM_PROG_AS' not found in library
Comment 5 Curtis Summers 2006-10-16 13:40:59 UTC
Same problem here.  Looks like automake 1.4 was being used.  However, if I create an overlay ebuild and change the WANT_AUTOCONF and WANT_AUTOMAKE to specify the version instead of "latest", it works.

In the ebuild change 
WANT_AUTOCONF="latest"
WANT_AUTOMAKE="latest"

to

WANT_AUTOCONF="2.5"
WANT_AUTOMAKE="1.9"

So, something must have changed such that "latest" is no longer interpreted correctly.


Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-10-16 15:22:39 UTC
*** Bug 151645 has been marked as a duplicate of this bug. ***
Comment 7 Fredrik Blom 2006-10-17 06:15:02 UTC
(In reply to comment #5)
> Same problem here.  Looks like automake 1.4 was being used.  However, if I
> create an overlay ebuild and change the WANT_AUTOCONF and WANT_AUTOMAKE to
> specify the version instead of "latest", it works.
> 
> In the ebuild change 
> WANT_AUTOCONF="latest"
> WANT_AUTOMAKE="latest"
> 
> to
> 
> WANT_AUTOCONF="2.5"
> WANT_AUTOMAKE="1.9"
> 
> So, something must have changed such that "latest" is no longer interpreted
> correctly.
> 

That solution did the trick for me. It compiles cleanly after modifying the ebuild.
Comment 8 viva-la-viva85 2006-10-17 07:05:47 UTC
Does not work for me.

 * Running eautoreconf in '/var/tmp/portage/smpeg-0.4.4-r8/work/smpeg-0.4.4' ..
.
 * Requested autoconf 2.5
 * Using autoconf (GNU Autoconf) 2.59
 * Using autoheader (GNU Autoconf) 2.59
 * Requested automake 1.9
 * Using automake (GNU automake) 1.9.6
 * Using aclocal (GNU automake) 1.9.6
 * Running aclocal ...                                                   [ ok ]
 * Running libtoolize --copy --force --automake ...                      [ ok ]
 * Running aclocal ...                                                   [ ok ]
 * Running autoconf ...                                                  [ !! ]

 * Failed Running autoconf !
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/smpeg-0.4.4-r8/temp/autoconf-15594.out


!!! ERROR: media-libs/smpeg-0.4.4-r8 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_unpack
  ebuild.sh, line 708:   Called src_unpack
  smpeg-0.4.4-r8.ebuild, line 49:   Called eautoreconf
  autotools.eclass, line 81:   Called eautoconf
  autotools.eclass, line 154:   Called autotools_run_tool 'autoconf'
  autotools.eclass, line 235:   Called die

!!! Failed Running autoconf !
!!! If you need support, post the topmost build error, and the call stack if re
levant.

# cat /var/tmp/portage/smpeg-0.4.4-r8/temp/autoconf-15594.out

***** autoconf *****

configure.in:45: warning: AC_ARG_PROGRAM was called before AC_CANONICAL_TARGET
autoconf/general.m4:1657: AC_CANONICAL_TARGET is expanded from...
configure.in:45: the top level
configure.in:59: error: possibly undefined macro: AC_TYPE_SOCKLEN_T
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
Comment 9 viva-la-viva85 2006-10-17 07:06:39 UTC
sorry, i forgot my emerge --info, here it is (i am new to this):

Portage 2.1.1 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.3.6-r4, 2.6.18-bl00dy i686)
=================================================================
System uname: 2.6.18-bl00dy i686 Intel(R) Pentium(R) 4 CPU 2.40GHz
Gentoo Base System version 1.12.5
Last Sync: Mon, 16 Oct 2006 14:50:01 +0000
ccache version 2.3 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: [Not Present]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer nostrip sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS=""
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 X aalib alsa apache2 apm berkdb bitmap-fonts bzip2 chroot cli crypt cscope curl dlloader dri elibc_glibc emboss encode esd fbcon foomaticdb fortran gdbm gif gnutls gpgme gpm gstreamer gtk gtk2 hardened icq idn imap imlib input_devices_evdev input_devices_keyboard input_devices_mouse irc isdnlog jabber jpeg kde kernel_linux libcaca libg++ libwww lirc lirc_devices_hauppauge mad mbox mikmod mmx motif mp3 mpeg mysql ncurses nptl nptlonly nvidia ogg opengl oss pam pcre perl png pppd python qt3 qt4 quicktime readline reflection rss sdl session smime spell spl sse sse2 ssl symlink sysfs tcpd tetex tiff truetype truetype-fonts type1-fonts udev usb userland_GNU userlocales video_cards_nvidia video_cards_vesa vorbis xml xorg xv xvmc zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 10 viva-la-viva85 2006-10-17 07:08:06 UTC
sorry, i forgot my emerge --info, here it is (i am new to this):

Portage 2.1.1 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.3.6-r4, 2.6.18-bl00dy i686)
=================================================================
System uname: 2.6.18-bl00dy i686 Intel(R) Pentium(R) 4 CPU 2.40GHz
Gentoo Base System version 1.12.5
Last Sync: Mon, 16 Oct 2006 14:50:01 +0000
ccache version 2.3 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: [Not Present]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer nostrip sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS=""
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 X aalib alsa apache2 apm berkdb bitmap-fonts bzip2 chroot cli crypt cscope curl dlloader dri elibc_glibc emboss encode esd fbcon foomaticdb fortran gdbm gif gnutls gpgme gpm gstreamer gtk gtk2 hardened icq idn imap imlib input_devices_evdev input_devices_keyboard input_devices_mouse irc isdnlog jabber jpeg kde kernel_linux libcaca libg++ libwww lirc lirc_devices_hauppauge mad mbox mikmod mmx motif mp3 mpeg mysql ncurses nptl nptlonly nvidia ogg opengl oss pam pcre perl png pppd python qt3 qt4 quicktime readline reflection rss sdl session smime spell spl sse sse2 ssl symlink sysfs tcpd tetex tiff truetype truetype-fonts type1-fonts udev usb userland_GNU userlocales video_cards_nvidia video_cards_vesa vorbis xml xorg xv xvmc zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 11 Albert Zeyer 2006-10-17 10:26:41 UTC
Same problem here (x86):
>>> Emerging (1 of 6) media-libs/smpeg-0.4.4-r8 to /
...
 * Running eautoreconf in '/var/tmp/portage/smpeg-0.4.4-r8/work/smpeg-0.4.4' ... * Requested autoconf 2.5
 * Using autoconf (GNU Autoconf) 2.59
 * Using autoheader (GNU Autoconf) 2.59
 * Requested automake latest
 * Using automake (GNU automake) 1.4-p6
 * Using aclocal (GNU automake) 1.4-p6
 * Running aclocal -I /var/tmp/portage/smpeg-0.4.4-r8/work/smpeg-0.4.4/m  [ !! ]
 * Failed Running aclocal !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/smpeg-0.4.4-r8/temp/aclocal-19823.out


!!! ERROR: media-libs/smpeg-0.4.4-r8 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_unpack
  ebuild.sh, line 708:   Called src_unpack
  smpeg-0.4.4-r8.ebuild, line 48:   Called eautoreconf
  autotools.eclass, line 79:   Called eaclocal
  autotools.eclass, line 117:   Called autotools_run_tool 'aclocal' '-I' '/var/tmp/portage/smpeg-0.4.4-r8/work/smpeg-0.4.4/m4'
  autotools.eclass, line 235:   Called die

!!! Failed Running aclocal !
!!! If you need support, post the topmost build error, and the call stack if relevant.

acomputer ~ # cat /var/tmp/portage/smpeg-0.4.4-r8/temp/aclocal-19823.out
***** aclocal *****

aclocal: configure.in: 56: macro `AM_PROG_AS' not found in library

acomputer ~ # emerge --info
Portage 2.1.1 (default-linux/x86/2006.0, gcc-4.1.1, glibc-2.4-r3, 2.6.16.19 i686)
=================================================================
System uname: 2.6.16.19 i686 AMD Athlon(tm) XP 2000+
Gentoo Base System version 1.12.5
Last Sync: Mon, 16 Oct 2006 10:00:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.6-r1, 2.0.30
dev-lang/python:     2.3.5-r2, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.15.92.0.2-r1, 2.15.92.0.2-r10, 2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.1/share/config /usr/kde/3.2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/     ftp:///ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/     ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo/       ftp://ftp6.uni-erlangen.de/pub/mirrors/gentoo   ftp://vlaai.snt.ipv6.utwente.nl/pub/os/linux/gentoo/"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext GAPING_SECURITY_HOLE X X509 a52 aac aalib acl acpi acpi4linux alsa amd amuled apache2 apm aqua_theme asf atm auctex bash-completion bidi bindist bitmap-fonts bittorrent bl bonjour bookmarks bootsplash bzip2 bzlib cairo cdda cddb cdio cdparanoia cdr cdrom cgi clisp codecs corba crypt cups curl custreloc daap dbus dedicated dga dhcp divx4linux dlopen dmi dnd dri dts dv dvd dvdr dvdread dxr3 eds elibc_glibc encode examples exif faad fame ffmpeg firefox flac flash font-server foomaticdb fortran fpx freetype ftp gcj gcl gd gdbm ggi gif gimp gl glitz glslideshow glut gnome gprof graphviz gs gstreamer gtk gtk2 gzip h323 hal haskell howl howl-compat html httpd imagemagick imap imlib imlib2 input_devices_keyboard input_devices_mouse insecure-drivers ithreads jack java jbig jikes jpeg jpeg2k kerberos kernel_linux lcms ldap libcaca libnotify linguas_de linuxthreads-tls lirc live lzo mad matroska mbox mdnsresponder-compat mikmod mjpeg mmx mmx2 mmxext mng mod modplug mozilla mp3 mp4 mp4live mpeg mpeg2 mpeg4 mplayer mppe-mppc multislot musepack musicbrainz mysql nas nautilus ncurses net network nis nls nntp nptl nptlonly nsplugin nvidia objc offensive ogg oggvorbis openal opengl oss pam pascal pcre pdf php png pop posix ppds pthreads python qt quicktime readline real rogue rplay rtc rtsp ruby samba sasl screen sdl session shorten shout silvercity silverxp skins slp sndfile sockets speedo speex spell sse sse-filters sse2 ssl stream subversion svg svga tagwriting tcltk teamarena tetex tga themes theora threads thumbnail tiff transcode truetype truetype-fonts type1 type1-fonts unicode urandom usb userland_GNU utf8 v4l v4l2 vcd vdr video_cards_apm video_cards_nv video_cards_nvidia vidix visualization vlm vorbis win32codecs wma wmf wxwindows x264 xanim xatrix xext xface xine xmms xorg xosd xpm xprint xrandr xscreensaver xv xvid xvmc zip zlib zvbi"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 12 Albert Zeyer 2006-10-17 10:35:18 UTC
(In reply to comment #5)
> Same problem here.  Looks like automake 1.4 was being used.  However, if I
> create an overlay ebuild and change the WANT_AUTOCONF and WANT_AUTOMAKE to
> specify the version instead of "latest", it works.
> 
> In the ebuild change 
> WANT_AUTOCONF="latest"
> WANT_AUTOMAKE="latest"
> 
> to
> 
> WANT_AUTOCONF="2.5"
> WANT_AUTOMAKE="1.9"
> 
> So, something must have changed such that "latest" is no longer interpreted
> correctly.
> 

This also works here, thanks.
Comment 13 Cyp 2006-10-17 12:29:24 UTC
hanging to 2.5 and 1.9 works for me, too.

(Only person saying it didn't work seems to be the only person on x86 instead of amd64.)

5,6c5,6
< WANT_AUTOCONF="latest"
< WANT_AUTOMAKE="latest"
---
> WANT_AUTOCONF="2.5"
> WANT_AUTOMAKE="1.9"
Comment 14 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-17 12:30:09 UTC
Fixed in autotools.eclass already.
Comment 15 Matthias Vill 2006-10-17 14:21:56 UTC
So why do I still receive this error on my amd64 box?
Comment 16 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-10-17 14:31:30 UTC
Because you need to wait a bit, and then sync?
Comment 17 Chris Gianelloni (RETIRED) gentoo-dev 2006-10-17 14:33:55 UTC
*** Bug 150341 has been marked as a duplicate of this bug. ***
Comment 18 Matthias Vill 2006-10-17 15:06:38 UTC
just synced, _now_ it works.
So thanks for fixing and sorry for disturbing you all with this false positive.
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2006-10-17 22:43:25 UTC
*** Bug 151772 has been marked as a duplicate of this bug. ***
Comment 20 Jakub Moc (RETIRED) gentoo-dev 2006-10-18 07:36:10 UTC
*** Bug 151833 has been marked as a duplicate of this bug. ***
Comment 21 Jakub Moc (RETIRED) gentoo-dev 2006-10-19 10:24:46 UTC
*** Bug 151975 has been marked as a duplicate of this bug. ***
Comment 22 Thomas Rausch 2006-10-26 16:36:58 UTC
(In reply to comment #18)
> just synced, _now_ it works.

At me it does not work correctly (AMD64).
Comment 23 Thomas Rausch 2006-10-26 16:37:38 UTC
(In reply to comment #18)
> just synced, _now_ it works.

At me it does not work correctly (AMD64).

 * Requested autoconf 2.5
 * Using autoconf (GNU Autoconf) 2.59
 * Using autoheader (GNU Autoconf) 2.59
 * Requested automake 1.10
 * Using automake (GNU automake) 1.4-p6
 * Using aclocal (GNU automake) 1.4-p6
 
Comment 24 Tristan Heaven (RETIRED) gentoo-dev 2006-10-26 19:33:49 UTC
*** Bug 152941 has been marked as a duplicate of this bug. ***
Comment 25 Peter `MathFox' Roozemaal 2006-10-27 00:17:03 UTC
(In reply to comment #23)
> (In reply to comment #18)
> > just synced, _now_ it works.
> 
> At me it does not work correctly (AMD64).
> 
>  * Requested autoconf 2.5
>  * Using autoconf (GNU Autoconf) 2.59
>  * Using autoheader (GNU Autoconf) 2.59
>  * Requested automake 1.10
>  * Using automake (GNU automake) 1.4-p6
>  * Using aclocal (GNU automake) 1.4-p6

Thomas, I suggest that you open a new bug ("latest" != "1.10") and ask Jacub and friends not to mark it as duplicate of this bug. This bug has been fixed for most that reported here.
Comment 26 Thomas Rausch 2006-10-27 03:21:00 UTC
(In reply to comment #25)
> Thomas, I suggest that you open a new bug ("latest" != "1.10") and ask Jacub
> and friends not to mark it as duplicate of this bug. This bug has been fixed
> for most that reported here.

I have create Bug 152957